<html lang="en">
  <head>
    <title>EMS Plugin Examples</title>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <script src="https://cdn.tailwindcss.com"></script>
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css"
    />
    <link
      rel="stylesheet"
      href="../fonts/source_sans_pro.css?family=Inter:wght@300;400;500;600;700&display=swap"
    />
    <link
      rel="stylesheet"
      href="https://cdn.jsdelivr.net/npm/tw-elements/dist/css/index.min.css"
    />
    <script src="https://cdn.tailwindcss.com"></script>
    <script
      src="https://cdnjs.cloudflare.com/ajax/libs/ace/1.4.14/ace.js"
      integrity="sha512-6ts6Fu561/yzWvD6uwQp3XVYwiWNpWnZ0hdeQrETqtnQiGjTfOS06W76aUDnq51hl1SxXtJaqy7IsZ3oP/uZEg=="
      crossorigin="anonymous"
      referrerpolicy="no-referrer"
    ></script>
    <script>
      tailwind.config = {
        theme: {
          extend: {
            fontFamily: {
              sans: ["Inter", "sans-serif"],
            },
          },
        },
      };
    </script>
    <style type="text/css">
      iframe html {
        overflow-x: hidden;
      }
      .highlighted {
        font-weight: bold;
      }
      #editor {
        width: 100%;
        height: 500px;
      }
    </style>
  </head>
  <body>
    <section class="xl:container xl:mx-auto">
      <h1 class="text-center text-5xl my-5">
        Event Management System - Examples
      </h1>
      <div class="grid grid-cols-12">
        <div class="col-span-3 xl:col-span-2">
          <ul class="ml-2">
            <li>
              <a
                href="belgium.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >belgium</a
              >
            </li>
            <li>
              <a
                href="bosnia.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >bosnia</a
              >
            </li>
            <li>
              <a
                href="calendar_brasil.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >calendar_brasil</a
              >
            </li>
            <li>
              <a
                href="calendar_gch.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >calendar_gch</a
              >
            </li>
            <li>
              <a
                href="event_calendar_brasil_filter.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >event_calendar_brasil_filter</a
              >
            </li>
            <li>
              <a
                href="event_calendar_list.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >event_calendar_list</a
              >
            </li>
            <li>
              <a
                href="event_list_brasil_filter.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >event_list_brasil_filter</a
              >
            </li>
            <li>
              <a
                href="event_list_oxford.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >event_list_oxford</a
              >
            </li>
            <li>
              <a
                href="event_list_uk_filter.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >event_list_uk_filter</a
              >
            </li>
            <li>
              <a
                href="form_english.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >form_english</a
              >
            </li>
            <li>
              <a
                href="gch.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >gch</a
              >
            </li>
            <li>
              <a
                href="gch_2_col_full.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >gch_2_col_full</a
              >
            </li>
            <li>
              <a
                href="gch_4_dimensions.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >gch_4_dimensions</a
              >
            </li>
            <li>
              <a
                href="gch_events_english_hindi.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >gch_events_english_hindi</a
              >
            </li>
            <li>
              <a
                href="gch_events_online_inhouse.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >gch_events_online_inhouse</a
              >
            </li>
            <li>
              <a
                href="gch_event_in_page.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >gch_event_in_page</a
              >
            </li>
            <li>
              <a
                href="gch_event_in_page_no_venue.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >gch_event_in_page_no_venue</a
              >
            </li>
            <li>
              <a
                href="gch_featured.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >gch_featured</a
              >
            </li>
            <li>
              <a
                href="gch_language_pt.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >gch_language_pt</a
              >
            </li>
            <li>
              <a
                href="gch_private.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >gch_private</a
              >
            </li>
            <li>
              <a
                href="gch_retreat_private.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >gch_retreat_private</a
              >
            </li>
            <li>
              <a
                href="gch_simple.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >gch_simple</a
              >
            </li>
            <li>
              <a
                href="gch_tags.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >gch_tags</a
              >
            </li>
            <li>
              <a
                href="gch_webcast_event.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >gch_webcast_event</a
              >
            </li>
            <li>
              <a
                href="gch_webcast_only.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >gch_webcast_only</a
              >
            </li>
            <li>
              <a
                href="germany_centers_composite_calendar.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >germany_centers_composite_calendar</a
              >
            </li>
            <li>
              <a
                href="germany_composite_calendar.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >germany_composite_calendar</a
              >
            </li>
            <li>
              <a
                href="germany_composite_calendar_external_detail.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >germany_composite_calendar_external_detail</a
              >
            </li>
            <li>
              <a
                href="germany_countdown.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >germany_countdown</a
              >
            </li>
            <li>
              <a
                href="germany_countdown_animated.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >germany_countdown_animated</a
              >
            </li>
            <li>
              <a
                href="germany_single_event_session.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >germany_single_event_session</a
              >
            </li>
            <li>
              <a
                href="germany_slider.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >germany_slider</a
              >
            </li>
            <li>
              <a
                href="germany_slider_external_detail.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >germany_slider_external_detail</a
              >
            </li>
            <li>
              <a
                href="germany_tags.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >germany_tags</a
              >
            </li>
            <li>
              <a
                href="germany_tiles.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >germany_tiles</a
              >
            </li>
            <li>
              <a
                href="germany_tiles_external_detail.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >germany_tiles_external_detail</a
              >
            </li>
            <li>
              <a
                href="globalRetreatCentre_outreach.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >globalRetreatCentre_outreach</a
              >
            </li>
            <li>
              <a
                href="grc_booking_only.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >grc_booking_only</a
              >
            </li>
            <li>
              <a
                href="grc_event_dup_removal.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >grc_event_dup_removal</a
              >
            </li>
            <li>
              <a
                href="grc_gch_drop_downs.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >grc_gch_drop_downs</a
              >
            </li>
            <li>
              <a
                href="grc_gch_infinite_tiles.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >grc_gch_infinite_tiles</a
              >
            </li>
            <li>
              <a
                href="grc_tags.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >grc_tags</a
              >
            </li>
            <li>
              <a
                href="grc_webpage.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >grc_webpage</a
              >
            </li>
            <li>
              <a
                href="image_banner.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >image_banner</a
              >
            </li>
            <li>
              <a
                href="image_banner_oxford.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >image_banner_oxford</a
              >
            </li>
            <li>
              <a
                href="latin_america.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >latin_america</a
              >
            </li>
            <li>
              <a
                href="latin_america_online_inpersion.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >latin_america_online_inpersion</a
              >
            </li>
            <li>
              <a
                href="online_brasil.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >online_brasil</a
              >
            </li>
            <li>
              <a
                href="open_id.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >open_id</a
              >
            </li>
            <li>
              <a
                href="oxford_inner_space.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >oxford_inner_space</a
              >
            </li>
            <li>
              <a
                href="oxford_tiles_calendar.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >oxford_tiles_calendar</a
              >
            </li>
            <li>
              <a
                href="single_event.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >single_event</a
              >
            </li>
            <li>
              <a
                href="spanish_barcelona.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >spanish_barcelona</a
              >
            </li>
            <li>
              <a
                href="spanish_latin_america.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >spanish_latin_america</a
              >
            </li>
            <li>
              <a
                href="spanish_latin_america_private.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >spanish_latin_america_private</a
              >
            </li>
            <li>
              <a
                href="uk_centers_composite_calendar.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >uk_centers_composite_calendar</a
              >
            </li>
            <li>
              <a
                href="worthing.html"
                target="displayIframe"
                class="hover:bg-gray-100 focus:underline"
                >worthing</a
              >
            </li>
          </ul>
        </div>
        <div class="col-span-8 xl:col-span-10 bg-slate-200 overflow-x-hidden">
          <iframe
            id="displayIframe"
            name="displayIframe"
            class="w-full h-full"
          ></iframe>
        </div>
      </div>
      <div class="text-right">
        <button
          id="displayButton"
          type="button"
          data-mdb-ripple="true"
          data-mdb-ripple-color="light"
          class="inline-block px-6 py-2.5 bg-blue-600 text-white font-medium text-xs leading-tight uppercase rounded shadow-md hover:bg-blue-700 hover:shadow-lg focus:bg-blue-700 focus:shadow-lg focus:outline-none focus:ring-0 active:bg-blue-800 active:shadow-lg transition duration-150 ease-in-out mt-2"
        >
          Display in separate window
        </button>
      </div>
    </section>
    <section class="xl:container xl:mx-auto mt-2">
      <div id="editor" />
    </section>
    <script>
      const editor = ace.edit("editor");
      editor.getSession().setMode("ace/mode/html");
      // const HtmlMode = ace.require("ace/mode/html").Mode;
      // editor.session.setMode(new HtmlMode());
      const displayButton = document.querySelector("#displayButton");
      displayButton.disabled = true;

      var previousElement = null;
      let currentExample = null;
      document.querySelectorAll("a[target=displayIframe]").forEach((e) => {
        e.onclick = async (e) => {
          const element = e.target;
          currentExample = e.target.href;
          displayButton.disabled = false;
          const res = await fetch(currentExample);
          const text = await res.text();
          editor.setValue(text);
          element.classList.add("highlighted");
          if (!!previousElement && previousElement !== element) {
            previousElement.classList.remove("highlighted");
          }
          previousElement = element;
          return true;
        };
      });

      displayButton.onclick = () => {
        console.log("currentExample", currentExample);
        window.open(currentExample);
      };
    </script>
  </body>
</html>
